Bug 21804 - Bad rebase reintroduced C4::Accounts::getcharges
Summary: Bad rebase reintroduced C4::Accounts::getcharges
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 20629
Blocks: 21683
  Show dependency treegraph
 
Reported: 2018-11-09 16:53 UTC by Josef Moravec
Modified: 2019-10-14 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21804: Remove C4::Accounts::getcharges again (1.52 KB, patch)
2018-11-09 16:56 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21804: Remove C4::Accounts::getcharges again (1.57 KB, patch)
2018-11-09 17:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21804: Remove C4::Accounts::getcharges again (1.64 KB, patch)
2018-11-09 18:34 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-11-09 16:53:52 UTC

    
Comment 1 Josef Moravec 2018-11-09 16:56:25 UTC
Created attachment 82182 [details] [review]
Bug 21804: Remove C4::Accounts::getcharges again

Test plan:
1) git grep getcharges
  -> should return no occurences
2) prove t/db_dependent/Accounts.t
  -> should pass
Comment 2 Tomás Cohen Arazi 2018-11-09 17:43:32 UTC
Created attachment 82193 [details] [review]
Bug 21804: Remove C4::Accounts::getcharges again

Test plan:
1) git grep getcharges
  -> should return no occurences
2) prove t/db_dependent/Accounts.t
  -> should pass

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Martin Renvoize 2018-11-09 18:34:22 UTC
Created attachment 82194 [details] [review]
Bug 21804: Remove C4::Accounts::getcharges again

Test plan:
1) git grep getcharges
  -> should return no occurences
2) prove t/db_dependent/Accounts.t
  -> should pass

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-11-09 18:34:40 UTC
Passed
Comment 5 Josef Moravec 2018-11-10 06:33:43 UTC
Thanks guys for quick testing ;)
Comment 6 Tomás Cohen Arazi 2018-11-12 19:30:47 UTC
Pushed for 18.11. Thanks all!
Comment 7 Martin Renvoize 2018-11-16 14:18:39 UTC
Architectural enhancement, will not be backported to 18.05.x series.